## cupt 2.1.1

=== doc/CMakeLists.txt ===
IF(NOT EXISTS /usr/bin/doxygen)
	message(FATAL_ERROR "missing doxygen")
ENDIF(NOT EXISTS /usr/bin/doxygen)

IF(NOT EXISTS /usr/bin/txt2tags)
	message(FATAL_ERROR "missing txt2tags")
ENDIF(NOT EXISTS /usr/bin/txt2tags)

set(DOXYGEN_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/reference")
add_custom_command(
	OUTPUT doxygen-stamp
	DEPENDS cupt2
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/reference"

	COMMAND mkdir -p ${DOXYGEN_OUTPUT_DIRECTORY}
	COMMAND sh -c "( cat Doxyfile; echo \"OUTPUT_DIRECTORY=${DOXYGEN_OUTPUT_DIRECTORY}\" ) | doxygen -"
	COMMAND touch ${CMAKE_CURRENT_BINARY_DIR}/doxygen-stamp

	VERBATIM
)

set(TUTORIAL_SOURCE "${CMAKE_CURRENT_SOURCE_DIR}/tutorial.t2t")
add_custom_command(
	MAIN_DEPENDENCY ${TUTORIAL_SOURCE}
	OUTPUT tutorial-stamp

	COMMAND txt2tags ARGS -t html -o tutorial.html ${TUTORIAL_SOURCE}
	COMMAND txt2tags ARGS -t man -o cupt_tutorial.7 ${TUTORIAL_SOURCE}
	COMMAND touch tutorial-stamp
)
add_custom_target(doc ALL DEPENDS doxygen-stamp tutorial-stamp)

install(DIRECTORY examples DESTINATION share/doc/lib)
install(DIRECTORY reference/html DESTINATION share/doc/lib)
install(DIRECTORY reference/man DESTINATION share FILES_MATCHING PATTERN cupt*)
install(FILES tutorial.html cupt_tutorial.7 DESTINATION share/doc)

=== cpp/console/CMakeLists.txt ===
include_directories(../lib/include)
add_executable(cupt.bin
	cupt.cpp
	misc.cpp
	handlers/search.cpp
	handlers/misc.cpp
	handlers/managepackages.cpp
	handlers/shell.cpp
	handlers/download.cpp
	handlers/snapshot.cpp
	selectors.cpp)
target_link_libraries(cupt.bin cupt2 boost_program_options)

install(PROGRAMS cupt.bin DESTINATION bin RENAME cupt)

=== doc/examples/show-upgradeable/Makefile ===
all:
	g++ -std=gnu++0x -Wall -O2 -I../../../cpp/lib/include -L../../../cpp/lib show-upgradeable.cpp -lcupt2 -o show-upgradeable

=== debian/changelog ===
cupt (2.1.1) unstable; urgency=low

  * lib:
    - download/manager:
      - Use poll(2) instead of SO_RCVTIMEO socket property to check for worker
        socket timeouts. Thanks to Jonathan Nieder for the report.
        (Closes: #628992, #630600)
      - Avoided creating new process groups. Fixes delivering stop/resume
        signals to the downloader's worker process. Thanks to Jonathan Nieder
        for the report. (Closes: #629210)
    - system/worker:
      - If the global purging flag was turned on, worker still purged,
        not only removed the packages, removed by resolver, despite the right
        action preview. Fixed this feature, which was introduced in
        2.0.0~beta1.
  * Pass '-ggdb' to the compiler. Makes builds with 'nostrip' in
    DEB_BUILD_OPTIONS debuggable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 15 Jun 2011 19:43:58 +0300

=== debian/control ===
Source: cupt
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7.4.10), g++-4.5,
  libboost-program-options-dev (>= 1.42), libboost-dev (>= 1.42),
  libreadline6-dev, chrpath, libcurl4-gnutls-dev (>= 7.19.4),
  cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags
Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Homepage: http://wiki.debian.org/Cupt
Standards-Version: 3.9.2
Vcs-Git: git://github.com/jackyf/cupt.git
Vcs-Browser: https://github.com/jackyf/cupt/tree/master

Package: libcupt2-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcupt2-0-experimental
Breaks: debdelta (<< 0.31)
Recommends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget, bzip2, gpgv
Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
Description: alternative front-end for dpkg -- runtime library
 This is a Cupt library implementing front-end to dpkg.
 .
 Provides:
  - parsing and manipulating configuration info;
  - parsing indexes metadata info;
  - version strings comparison;
  - inspection of the binary and source package' versions;
  - parsing and querying info about installed packages;
  - parsing and working with relations and relation expressions;
  - download manager and downloaders for some schemes;
  - problem resolver;
  - worker for modifying system state.
 .
 See also description of 'cupt' package for more information.

Package: libcupt2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcupt2-0 (= ${binary:Version})
Conflicts: libcupt2-dev-experimental
Suggests: libcupt2-doc
Description: alternative front-end for dpkg -- development files
 This package provides headers for Cupt library.
 .
 See also description of libcupt2-0 package.

Package: libcupt2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: alternative front-end for dpkg -- library documentation
 This package provides documentation for Cupt library.
 .
 See also description of libcupt2-0 package.

Package: cupt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt2-0 (>= ${binary:Version})
Suggests: sensible-utils, libreadline6
Description: alternative front-end for dpkg -- console interface
 This package provides a console interface to Cupt library, which is a
 re-implementation of libapt-pkg C++ library. The aim is to produce
 more strict, more robust, less buggy front-end than APT.
 .
 Cupt uses the same APT infrastructure, e.g. index files, deb cache archive
 files, configuration files. It understands some of widely used APT options.
 .
 Some features:
  - strict full-case resolver;
  - resolver reasons tracking;
  - command-line and APT-like option name checker;
  - case-sensitive search;
  - pinning by source package name;
  - pinning by package groups using shell-like patterns;
  - configurable 'depends' and 'rdepends' subcommands;
  - 'satisfy' subcommand;
  - support of LZMA-compressed indexes;
  - source versions synchronization;
  - 'shell' subcommand (to get command history, search etc. working, install
    the package 'libreadline6');
  - integration with debdelta (to get it, install the package 'debdelta');
  - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
 .
 Its interface is mostly like apt-get/aptitude console interface.

Package: libcupt2-0-downloadmethod-curl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: alternative front-end for dpkg -- libcurl download method
 This package provides http(s) and ftp download handlers for Cupt library
 using libcurl.
 .
 See also description of libcupt2-0 package.

Package: libcupt2-0-downloadmethod-wget
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wget
Description: alternative front-end for dpkg -- wget download method
 This package provides http(s) and ftp download handlers for Cupt library
 using wget.
 .
 See also description of libcupt2-0 package.

=== debian/rules ===
#!/usr/bin/make -f

PERL ?= /usr/bin/perl
CMAKE_OPTIONS = -DLOCAL:bool=OFF
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CMAKE_OPTIONS += -DOPTIMIZE=0
else
	CMAKE_OPTIONS += -DOPTIMIZE=2
endif


override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/tmp/usr $(CMAKE_OPTIONS) ./

override_dh_auto_install:
	$(MAKE) install
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/cupt
	# produce additional man pages for cupt
	$(PERL) debian/install_pods
	install -m644 scripts/bash_completion $(CURDIR)/debian/cupt/etc/bash_completion.d/cupt

%:
	dh --parallel $@

## cupt 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(Cupt)

add_subdirectory(cpp)
add_subdirectory(doc)

=== cpp/CMakeLists.txt ===
IF(EXISTS /usr/bin/g++-4.5)
	set(CMAKE_CXX_COMPILER /usr/bin/g++-4.5)
ELSE(EXISTS /usr/bin/g++-4.5)
	message(FATAL_ERROR "g++ 4.5.0 or greater required")
ENDIF(EXISTS /usr/bin/g++-4.5)

IF(NOT EXISTS /usr/include/boost/xpressive/xpressive_dynamic.hpp)
	message(FATAL_ERROR "missing Boost.Xpressive library")
ENDIF(NOT EXISTS /usr/include/boost/xpressive/xpressive_dynamic.hpp)

IF(NOT EXISTS /usr/include/boost/program_options.hpp)
	message(FATAL_ERROR "missing Boost.ProgramOptions library")
ENDIF(NOT EXISTS /usr/include/boost/program_options.hpp)

find_package(Boost 1.42.0)
IF(Boost_FOUND)
	IF(Boost_VERSION LESS 104200)
		message(FATAL_ERROR "need Boost of version 1.42.0")
	ENDIF(Boost_VERSION LESS 104200)
ELSE(Boost_FOUND)
	message(FATAL_ERROR "missing Boost")
ENDIF(Boost_FOUND)

IF(NOT EXISTS /usr/include/readline/readline.h)
	message(FATAL_ERROR "missing GNU Readline library")
ENDIF(NOT EXISTS /usr/include/readline/readline.h)

set(CMAKE_CXX_FLAGS "-ggdb -Wall -Wextra -std=gnu++0x -fPIC -I${CMAKE_SOURCE_DIR}/cpp/ -include common/common.hpp")

OPTION(VERBOSE "is build verbose")
IF(VERBOSE)
	set(CMAKE_VERBOSE_MAKEFILE TRUE)
ENDIF(VERBOSE)

OPTION(LOCAL "is build local" ON)
IF(LOCAL)
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DCUPT_LOCAL_BUILD")
ENDIF(LOCAL)

OPTION(OPTIMIZE "is build optimized")
IF(OPTIMIZE GREATER 0)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNDEBUG -O${OPTIMIZE}")
	IF(OPTIMIZE GREATER 1)
		# set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -flto")
		# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -flto")
	ENDIF(OPTIMIZE GREATER 1)
ENDIF(OPTIMIZE GREATER 0)

set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")

set(CUPT_SOVERSION 0)

# detect version from debian/changelog
execute_process(
	COMMAND "dpkg-parsechangelog" "-l${PROJECT_SOURCE_DIR}/debian/changelog"
	COMMAND "grep" "^Version"
	COMMAND "cut" "-d " "-f" "2"
	OUTPUT_VARIABLE CUPT_VERSION
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

IF(CUPT_VERSION)
	message(STATUS "Detected Cupt version: ${CUPT_VERSION}")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DCUPT_VERSION=${CUPT_VERSION}")
ELSE(CUPT_VERSION)
	message(FATAL_ERROR "Unable to detect Cupt version.")
ENDIF(CUPT_VERSION)

add_subdirectory(console)
add_subdirectory(lib)
# add_subdirectory(precompiled)
add_subdirectory(downloadmethods)

=== cpp/downloadmethods/CMakeLists.txt ===
include_directories(../lib/include)

add_library(wget MODULE wget.cpp)
target_link_libraries(wget cupt2)

add_library(curl MODULE curl.cpp)
target_link_libraries(curl cupt2 curl-gnutls)

add_library(debdelta MODULE debdelta.cpp)
target_link_libraries(debdelta cupt2)

add_library(file MODULE file.cpp)
target_link_libraries(file cupt2)

install(TARGETS file wget curl debdelta DESTINATION lib/cupt2-${CUPT_SOVERSION}/downloadmethods)

=== cpp/lib/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSOVERSION=${CUPT_SOVERSION} -fvisibility=hidden")

include_directories(include)
include_directories(src)
add_library(cupt2 SHARED
	./src/internal/common.cpp
	./src/internal/configparser.cpp
	./src/internal/nativeresolver/impl.cpp
	./src/internal/nativeresolver/solution.cpp
	./src/internal/nativeresolver/score.cpp
	./src/internal/nativeresolver/dependencygraph.cpp
	./src/internal/nativeresolver/decisionfailtree.cpp
	./src/internal/lock.cpp
	./src/internal/cacheimpl.cpp
	./src/internal/pininfo.cpp
	./src/internal/filesystem.cpp
	./src/internal/debdeltahelper.cpp
	./src/internal/tagparser.cpp
	./src/internal/worker/base.cpp
	./src/internal/worker/archives.cpp
	./src/internal/worker/metadata.cpp
	./src/internal/worker/setupandpreview.cpp
	./src/internal/worker/packages.cpp
	./src/internal/worker/snapshots.cpp
	./src/internal/regex.cpp
	./src/internal/cachefiles.cpp
	./src/config.cpp
	./src/cache.cpp
	./src/cache/relation.cpp
	./src/cache/binarypackage.cpp
	./src/cache/binaryversion.cpp
	./src/cache/sourcepackage.cpp
	./src/cache/sourceversion.cpp
	./src/cache/package.cpp
	./src/cache/version.cpp
	./src/system/state.cpp
	./src/system/resolver.cpp
	./src/system/resolvers/native.cpp
	./src/system/worker.cpp
	./src/system/snapshots.cpp
	./src/download/uri.cpp
	./src/download/manager.cpp
	./src/download/method.cpp
	./src/download/methodfactory.cpp
	./src/download/progress.cpp
	./src/download/progresses/console.cpp
	./src/common.cpp
	./src/common/compareversions.cpp
	./src/common/consumers.cpp
	./src/file.cpp
	./src/hashsums.cpp
	./src/pipe.cpp
)
set_target_properties(cupt2 PROPERTIES VERSION 2.0.0 SOVERSION ${CUPT_SOVERSION})
target_link_libraries(cupt2 dl rt gcrypt)

install(TARGETS cupt2 DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
cupt (2.1.3) unstable; urgency=low

  * lib:
    - system/worker:
      - 'getArchivesInfo': fixed returning absolute path for files downloaded
        by APT. Thanks to Karol Kozłowski and James Vega for noticing.
  * debian:
    - libcupt2-0.install:
      - Really install 'file' download method.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 24 Jul 2011 13:31:34 +0300

cupt (2.1.2) unstable; urgency=low

  * console:
    - Fixed a crash (under certain conditions) when package wildcards are
      used within the 'shell' subcommand. Thanks to Karol Kozłowski for the
      report.
  * lib:
    - common:
      - Fixed a double use of va_list. Thanks to Julian Andres Klode for the
        report and the patch. (Closes: #630824)
    - system/worker:
      - [Jonathan Nieder] Do not assume the return value from memcmp is -1, 0,
        or 1. Fixes a bug in which cupt would sometimes leave out the <, =,
        or > symbol in VERSION 2 input for preinstall hooks. (Closes: #633138)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 10 Jul 2011 13:10:46 +0300

## cupt 2.2.0

=== debian/changelog ===
cupt (2.2.0) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 17 Sep 2011 16:17:38 +0300

cupt (2.2.0~rc2) experimental; urgency=low

  * lib:
    - system/worker:
      - Downloading of index data should continue regardless of the download
        result of Release signature. Thanks to Karol Kozłowski for the report.
      - Don't run pre-install-packages hooks if there is no packages to
        unpack.
      - [Jonathan Nieder] Switch back to system() for running commands without
        an input, such as dpkg, providing them a standard input from
        a terminal. Fixes the regression since 2.2.0~rc1. (Closes: #640849)
    - hashsums:
      - Don't check gcrypt version despite what is advised in its manual.
        Linker does its work fine.
  * debian:
    - control:
      'libcupt2-0': set Breaks against download methods earlier than 2.0.0~rc1
      because of the redirect download option change.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 11 Sep 2011 13:52:25 +0300

cupt (2.2.0~rc1) experimental; urgency=low

  * console:
    - Managing packages:
      - New positional action override options '--install', '--remove',
        '--satisfy', '--unsatisfy'.
      - The option '--purge' is converted to positional action override one.
      - The action 'purge' does not set global purge flag anymore but only
        purges packages specified as arguments.
    - 'clean', 'autoclean': remove also partially downloaded archive files.
      Thanks to Karol Kozłowski for the suggestion. (Closes: #633485)
    - 'version': support '-v' as a alias again. (Closes: #640148)
  * lib:
    - system/worker:
      - New method 'setPackagePurgeFlag'.
      - The global purge option now unconditionally purges all removed
        packages again.
      - New method 'deletePartialArchives'.
      - Really allow removing Essential packages (when requested and passed
        all front-end checks).
      - Unpack/configure actions of some important packages were not optimally
        merged before when there are reverse-[Pre-]Depends.
      - Prefer temporary breaking reverse-Depends than anything else.
        (Closes: #637233)
      - Don't modify first-level priorities of non-first subactions of
        the same package, except of incrementing prioties for
        unpack-after-removal actions.
      - Greatly simplified the algorithm of setting priority links. Increases
        processing speed a lot.
      - Set dependency dpkg force options according to broken relations, not
        "nothing or all".
      - Make dpkg sequence output fixed between the different runs for the
        same input.
      - Made the virtual vertices' CPU and RAM footprint smaller.
      - Removed ad-hoc pre-dependency check warnings as useless and obsolete.
      - Merge remove/unpack subactions even more aggressively.
      - Submit the input for a running commands using pipes instead of 'echo'
        shell command. (Closes: #637494)
      - Implemented logging.
      - An initial support of repository index deltas.
    - config:
      - New option 'cupt::cache::release-file-expiration::ignore'.
      - Use APT option 'acquire::http::allowredirect' instead of Cupt-specific
        'acquire::http::allow-redirects'.
      - New option 'cupt::update::check-release-files'. Thanks to
        Karol Kozłowski for the suggestion. (Closes: #633492)
      - Support Cupt-specific configuration files (/etc/cupt by default).
        New options 'cupt::directory::configuration',
        'cupt::directory::configuration::main',
        'cupt::directory::configuration::main-parts'.
      - New option 'cupt::worker::use-locks'.
      - Recognize APT variables 'dir::log', 'dir::log::terminal',
        'dir::log::history'.
      - New options 'cupt::directory::log', 'cupt::worker::log'.
      - New options 'cupt::worker::log::levels::{metadata,packages,snapshots}'.
    - cache:
      - 'verifySignature': is deprecated now.
    - system/resolvers/native:
      - Implemented 'reinstall or remove' for packages that require the
        reinstallation.
      - Installed packages with the status 'half-installed' also require
        the reinstallation, mark them as such. (Closes: #637490)
    - file:
      - Constructor now accepts "pw" as a special mode for shell pipes opened
        for writing.
    - system/state:
      - Add package entry to the cache even if the installed version requires
        the reinstallation. (Closes: #639605)
      - InstalledRecord: new method 'isBroken'.
    - download/manager:
      - Fixed handling of EINTR while polling waiter sockets.
  * doc:
    - cupt(1) manual:
      - Documented 'purge' subcommand.
      - Fixed a typo in the description of '--download-only' option.
        (Closes: #639160)
  * scripts:
    - logrotate:
      - Created.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 05 Sep 2011 19:05:03 +0300

## cupt 2.2.1

=== cpp/lib/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	./src/internal/worker/snapshots.cpp
 	./src/internal/regex.cpp
 	./src/internal/cachefiles.cpp
+	./src/internal/logger.cpp
 	./src/config.cpp
 	./src/cache.cpp
 	./src/cache/relation.cpp

=== debian/changelog ===
cupt (2.2.1) unstable; urgency=low

  * console:
    - Managing packages:
      - Fixed the work of action override options inside the interactive
        prompt for new package expressions.
      - 'markauto', 'unmarkauto': reject not installed packages. Thanks to
        Karol Kozłowski for the report.
  * lib:
    - system/resolvers/native:
      - Made sure that if the package is auto-removed there are no other
        resolver reasons present. Thanks to Karol Kozłowski for the report.
        (Closes: #643798)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 06 Oct 2011 20:42:16 +0300

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libcupt2-0-experimental
-Breaks: debdelta (<< 0.31)
-Recommends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget, bzip2, gpgv
+Breaks: debdelta (<< 0.31), libcupt2-0-downloadmethod-curl (<< 2.2.0~rc1),
+  libcupt2-0-downloadmethod-wget (<< 2.2.0~rc1)
+Recommends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: alternative front-end for dpkg -- runtime library
  This is a Cupt library implementing front-end to dpkg.

## cupt 2.2.2

=== debian/changelog ===
cupt (2.2.2) unstable; urgency=low

  * debian:
    - libcupt2-0.postinst:
      - Don't copy APT GnuPG keyring here anymore. Since 2.1.x Cupt has its
        own directory for repository caches so no work is possible until
        the repository lists are generated first time, and at that time
        the keyring will be copied anyway.
  * lib:
    - cache:
      - Use 'apt-key exportall' in the 'copy the keyring' hack. Thanks to
        Jonathan Nieder for the report and the patch idea. (Closes: #646993)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 31 Oct 2011 21:40:46 +0200

## cupt 2.3.1

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,8 @@
 	message(FATAL_ERROR "Unable to detect Cupt version.")
 ENDIF(CUPT_VERSION)
 
+include_directories(.)
+
 add_subdirectory(console)
 add_subdirectory(lib)
 # add_subdirectory(precompiled)

=== cpp/console/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	handlers/shell.cpp
 	handlers/download.cpp
 	handlers/snapshot.cpp
+	colorizer.cpp
 	selectors.cpp)
 target_link_libraries(cupt.bin cupt2 boost_program_options)

=== debian/changelog ===
cupt (2.3.1) unstable; urgency=low

  * console:
    - Managing packages:
      - 'reinstall': always use and enforce the installed version.
        (Closes: #650214)
  * lib:
    - cache:
      - Fixed printing an error reason when could not open a release file
        (a regression since 2.3.0~rc1).
    - system/worker:
      - 'getArchivesInfo': avoid using glob(3) which follows symlinks.
        (Closes: #638327)
      - Updating release and index data: cleaning obsolete files: avoid using
        glob(3) which follows symlinks. (Closes: #650128)
  * doc:
    - man/cupt.1:
      - Removed a documentation for option '--no-install-unpacked' which was
        removed in 0.6.5. (Closes: #650126)
    - tutorial:
      - Fixed typos and misspellings found by A. Costa. (Closes: #650372)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 04 Dec 2011 11:05:22 +0200

cupt (2.3.0) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 27 Nov 2011 13:14:13 +0200

cupt (2.3.0~rc1) experimental; urgency=low

  * console:
    - Common options:
      - New options '--include-archives', '--exclude-archives',
        '--include-codenames', --exclude-codenames'.
    - 'policy':
      - 'Candidate' field name is ambiguous, changed it to 'Preferred'.
    - 'source':
      - Downloading source package parts: include only those codename/component
        pairs to long descriptions which belong to a selected base
        download URI.
      - Don't try to re-download already existing (i.e. hash sums match) files.
    - Managing packages:
      - Don't print misleading 'Performing requested actions' when there is
        nothing to do.
      - New option '--show-not-preferred'.
      - Don't uppercase action names anymore.
      - Show also action summary.
      - New options '--summary-only', '--no-summary'.
    - 'search':
      - Output short description(s) even if all search expressions was found in
        the package name.
      - Sort packages before the processing. That reduces a program's system
        time by making file reads more linear. As a consequence, an output is
        now sorted too.
      - Now searches in the localized description if present.
  * lib:
    - system/resolvers/native:
      - Removing automatically installed packages: stopped considering
        those inter-package relations which are satisfied by some
        non-removable package.
      - Implemented partially sticked packages. This should get rid of
        duplicate solutions. (Closes: #641473)
    - download/progresses/console:
      - Printing 'download failed' messages: use a download number instead of
        the download description.
      - Printing 'download failed' messages: reformatted to have the error
        string earlier in the string and match the 'Get:<number>' style.
    - config:
      - New options 'cupt::cache::limit-releases::by-archive',
        'cupt::cache::limit-releases::by-archive::type'.
      - New options 'cupt::cache::limit-releases::by-codename',
        'cupt::cache::limit-releases::by-codename::type'.
      - New option 'cupt::console::actions-preview::show-not-preferred'.
      - New options 'cupt::console::actions-preview::show-summary',
        'cupt::console::actions-preview::show-details'.
      - New option 'cupt::cache::pin::addendums::but-automatic-upgrades'.
      - The APT option 'apt::acquire::translations' is no more used.
      - New option 'cupt::languages::indexes'.
      - New option 'cupt::console::use-colors'.
      - Recognize (but don't use) the APT option 'acquire::languages'.
    - system/worker:
      - Logging: log errors too.
      - Downloading package archives: include only those codename/component
        pairs to long descriptions which belong to a selected base
        download URI.
      - Updating release and index data: use i18n/Index for downloading package
        description localizations (Closes: #547948).
      - Updating release and index data: download all variants of requested
        description localizations, not only the first successful one.
      - 'getArchivesInfo': fixed an undefined behavior while obtaining the
        result of readlink(2). (Closes: #638327)
    - cache:
      - Honor 'cupt::cache::limit-releases::*' options.
      - Process all requested translations, not only the first successful one.
    - cache/releaseinfo:
      - New field 'butAutomaticUpgrades'.
    - hashsums:
      - Reduce CPU overhead of the calculating hashes of short strings.
    - 'fatal', 'warn', 'debug', 'simulate': are deprecated now.
  * doc:
    - man:
      - [Jonathan Nieder] Split off a cupt.conf(5) page from cupt(1).
        Thanks to A. Costa for the idea (Closes: #648012).
    - What was referred as 'candidate version' is really
      the 'preferred version'.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 21 Nov 2011 21:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -58,6 +58,7 @@
 Package: cupt
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt2-0 (>= ${binary:Version})
+Breaks: daptup (<< 0.12.2~)
 Suggests: sensible-utils, libreadline6
 Description: alternative front-end for dpkg -- console interface
  This package provides a console interface to Cupt library, which is a

## cupt 2.3.2

=== debian/changelog ===
cupt (2.3.2) unstable; urgency=low

  * console:
    - 'show', 'showsrc': package name wildcards now work with '--all-versions'.
      (Closes: #651889)
  * lib:
    - cache:
      - Pin preferences: fixed 'origin' pin type support. (Closes: #651890)
      - Pin preferences: print a more user-friently error message when pin
        priority is not a valid integer. (Closes: #651894)
      - Parsing Release files: use 'Version' field when it's present.
        (Closes: #652379)
  * doc:
    - man/cupt.1:
      - Documented the option '--show-not-preferred'. (Closes: #651888)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 19 Dec 2011 20:16:26 +0200

## cupt 2.3.3

=== debian/changelog ===
cupt (2.3.3) unstable; urgency=low

  * console:
    - 'tar-metadata': include also Cupt-specific configuration files.
  * lib:
    - system/worker:
      - Generating dpkg package sequence: fixed non-propagating low-level
        subactions to higher-level subgroups in some cases. This regression
        was introduced in 2.2.0~rc1. Thanks to Jonathan Nieder for the report.
        (Closes: #656566)
  * doc:
    - tutorial:
      - Explicitly documented what infrastructure Cupt uses.
  * debian:
    - libcupt2-0.postrm:
      - Remove '/var/lib/cupt' directory completely on 'purge'.
        (Closes: #656457)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 21 Jan 2012 12:43:56 +0200

## cupt 2.4.0

=== debian/changelog ===
cupt (2.4.0) unstable; urgency=low

  * Switched the compiler from g++ 4.5 to g++ 4.6.
    - The compiler now can generate trivial move-constructors itself.
      Patch by Jonathan Nieder. (Closes: #647142)
  * console:
    - 'policy', 'policysrc':
      - New option '--show-dates'.
    - 'show':
      - Don't output 'Description-md5' field.
    - New subcommand 'iii'.
    - Actions preview:
      - Don't show size changes for 'not preferred' group.
      - Don't show reasons for 'not preferred' group.
    - Managing packages:
      - New option '--show-archives'.
      - New option '--show-codenames'.
      - New option '--show-components'.
      - New option '--show-vendors'.
    - 'search':
      - Switch off processing index translations in 'names-only' mode.
  * lib:
    - config:
      - The option 'cupt::resolver::score::position-penalty' now defaults to
        -2 (was -20).
      - Adjusted default values of options
        'cupt::resolver::score::{new,removal,quality-adjustment}' for changes
        in the score calculation (see below).
      - New (and default from now on) option value 'auto' for the option
        'cupt::worker::defer-triggers'.
      - New option 'cupt::console::actions-preview::show-versions'.
      - New option 'cupt::console::actions-preview::show-size-changes'.
      - New option 'cupt::console::actions-preview::show-archives'.
      - New option 'cupt::console::actions-preview::show-codenames'.
      - New option 'cupt::console::actions-preview::show-components'.
      - New option 'cupt::console::actions-preview::show-vendors'.
    - system/resolvers/native:
      - Use normalized version priority in score calculations.
      - If a solution to a problem is an "unsatisfied" element, partially
        stick all competing solution elements, not only preceding ones.
      - Skip a solution if some element to auto-remove cannot be removed
        due to being (partially) sticked. (Closes: #641473)
      - Removing automatically installed packages: if several automatically
        installed packages satisfy the relation, leave only first of them.
    - system/worker:
      - If the option 'cupt::worker::defer-triggers' is set to 'auto', check
        for recent enough version of dpkg (1.16.1).
    - cache:
      - 'getLocalizedDescriptions': use new 'Description-md5' binary version
        field if available. (Closes: #657872)
      - Don't preprocess index localization files when Version::parseInfoOnly
        variable is false.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 30 Jan 2012 21:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cupt
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 7.4.10), g++-4.5,
+Build-Depends: debhelper (>= 7.4.10), g++-4.6,
   libboost-program-options-dev (>= 1.42), libboost-dev (>= 1.42),
   libreadline6-dev, chrpath, libcurl4-gnutls-dev (>= 7.19.4),
   cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags

## cupt 2.4.1

=== debian/changelog ===
cupt (2.4.1) unstable; urgency=medium

  * console:
    - Managing packages:
      - Fixed possible spontaneous 'Enter a package expression' messages while
        resolving problems when no solutions were found and no exception was
        thrown. This regression was introduced in 2.0.0~rc1.
  * lib:
    - system/resolvers/native:
      - Fixed throwing an exception when some solutions were found but all of
        them were autorejected. This can happen only if some solutions were
        dropped due to a solution count requirement (the option
        'cupt::resolver::max-solution-count'). This regression was introduced
        in 2.4.0 and also made the 'Enter a package expression' regression
        above able to show itself.
    - cache:
      - Constructor: don't error out if an extended states file is not
        present, print a warning instead. (Closes: #663382)
      - Reading APT pin preferences: fixed incorrect line numbers in error
        messages.
    - system/worker:
      - Create the main archives directory if it doesn't exist.
      - 'setAutomaticallyInstalledFlag': create the directory chain (if needed)
        for creating the extended states file.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 15 Mar 2012 20:22:15 +0200

## cupt 2.5.2

=== debian/changelog ===
cupt (2.5.2) unstable; urgency=low

  * lib:
    - cache:
      - Constructor: source index alias: fixed placing the square brackets
        around the suffix "source".
      - Constructor: parsing index localization files: support the old index
        localization files scheme again. This regression was introduced in
        2.5.0.
      - Constructor: parsing index localization files: don't skip silently
        the rest of the file if a distance between records is more than one
        empty line. This regression was introduced in 2.0.0~alpha3.
  * Grammar and style fixes for translatable messages by Justin B Rye.
  * debian/control:
    - Changed the maintainer address to 'cupt-devel@lists.alioth.debian.org'.
    - Added myself to uploaders.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 07 Apr 2012 12:24:38 +0300

cupt (2.5.1) unstable; urgency=low

  * lib:
    - cache:
      - Fixed the error, when the actions which need package descriptions
        stopped to work when any needed Release file cannot be opened or
        parsed. This regression was introduced in 2.5.0.
        (Closes: #666762)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 01 Apr 2012 18:34:14 +0300

cupt (2.5.0) unstable; urgency=low

  * console:
    - 'rdepends':
      - Small speed-up by using more aggressive caching.
    - Managing packages:
      - Action preview prompt: moved auto-removed packages to a new
        'no longer needed' section.
      - Action summary: don't print zero-sized parts.
  * lib:
    - system/worker:
      - Updating release and index data: use the information about Translation
        files from Release files if provided.
      - Support Translation diffs.
    - download/manager:
      - Avoid using new[]() in processing socket messages.
      - Use std::queue instead of system pipe for the worker's internal
        message queue.
    - config:
      - New option 'cupt::resolver::no-autoremove-if-rdepends-exist'.
        (Closes: #658981)
      - New option 'cupt::resolver::score::removal-of-autoinstalled'.
      - Lowed a bit the default value of the option
        'cupt::resolver::score::removal'.
      - Parsing configuration files: fixed ignoring the incorrect syntax
        before the end of file in some cases.
      - Parsing configuration files: in the case of a syntax error print the
        line number and character number instead of the part of context string.
      - 'setScalar', 'setList': don't print warnings anymore for unknown
        non-Cupt-specific options (those which names don't start with 'cupt::')
    - download/progresses/console:
      - Status line: leave the cursor at the end of line so anynchronous
        warning and error messages are printed on the next line, not over the
        status line.
    - cache/package:
      - When throwing away a duplicate version with different hash sums, show
        also left origins in the warning message.
    - system/resolvers/native:
      - Score calculation: for removals of packages which are not manually
        installed, apply also the 'removal-of-autoinstalled' score.
        (Closes: #662027)
      - Fixed the memory leak. It was introduced in 2.0.0~alpha4.
      - Reverted skipping solutions if an auto-removed element is (partially)
        sticked. It could introduce very long delays in the solution
        calculations in some rare cases.
    - cache:
      - Constructor: don't parse release files more than once.
      - Constructor: parsing release, index and localization files: use
        an alias instead of the full path in the error and warning messages.
      - Constructor: parsing index localization files: print an error when
        the file exists but can't be opened.
      - Parsing release files: don't warn anymore if the 'archive' or 'vendor'
        fields are missing.
    - Don't include a not exported header from cupt/common.hpp, making a
      development binary package usable again. Fixes a regression since
      2.3.0~rc1.
    - Remove accidentally included 'using std::string' from a global namespace.
      Fixes a regression since 2.3.0~rc1.
  * downloadmethods:
    - wget:
      - Use threads instead of explicit fork()s.
      - User-Agent now has a libcupt-specific suffix.
    - curl:
      - User-Agent now has a libcupt-specific suffix. (Closes: #663381)
  * Improvements in the error and warning messages.
  * debian:
    - libcupt2-0.shlibs: added with an initial value of 2.3.0~rc1.
    - shlibs.local: added as an alias to above.
    - control:
      - Bumped Standards-Version to 3.9.3, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 31 Mar 2012 16:37:13 +0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
   libboost-program-options-dev (>= 1.42), libboost-dev (>= 1.42),
   libreadline6-dev, chrpath, libcurl4-gnutls-dev (>= 7.19.4),
   cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags
-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://github.com/jackyf/cupt.git
 Vcs-Browser: https://github.com/jackyf/cupt/tree/master

## cupt 2.5.3

=== po/CMakeLists.txt ===
include(FindGettext)

# existing targets don't suit:
# GETTEXT_CREATE_TRANSLATIONS modifies .po-files during the build
# GETTEXT_PROCESS_POT_FILE deletes .po-files in the 'clean' target
# GETTEXT_PROCESS_PO_FILES is limited to a single language and cannot be issued
#   several times due to 'duplicate targets error'

MACRO(CUPT_PROCESS_PO)
	FOREACH(_lang ${ARGN})
		GET_FILENAME_COMPONENT(_absPoFile ${_lang}.po ABSOLUTE)
		SET(_moFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.mo)

		ADD_CUSTOM_COMMAND(
			OUTPUT ${_moFile}
			COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_moFile} ${_absPoFile}
			DEPENDS ${_absPoFile}
		)

		INSTALL(FILES ${_moFile} DESTINATION share/locale/${_lang}/LC_MESSAGES RENAME cupt.mo)
		SET(_moFiles ${_moFiles} ${_moFile})
	ENDFOREACH(_lang)

	ADD_CUSTOM_TARGET(translations ALL DEPENDS ${_moFiles})
ENDMACRO(CUPT_PROCESS_PO)


CUPT_PROCESS_PO(pl da)

=== debian/changelog ===
cupt (2.5.3) unstable; urgency=low

  * console:
    - Enable message translations as early as possible. Enables translations
      for for '--help' command. Thanks to Karol Kozłowski for the report.
    - 'show', 'showsrc':
      - Use localized priority strings.
      - Use localized relation strings.
    - 'show':
      - Use localized installed state strings.
    - 'showrc':
      - Use localized source package part strings.
    - 'depends', 'rdepends', 'why':
      - Use localized binary relation strings.
  * lib:
    - system/resolvers/native:
      - Stopped using unique_ptr<void>, fixing a small memory leak. This
        regression was introduced in 2.0.0~alpha3.
      - Fixed another small memory leak, introduced in 2.5.0.
    - config:
      - Added a support for the '/* ... */'-comments.
  * po:
    - Added Polish translation by Karol Kozłowski. (Closes: #671092)
    - Added partial Danish translation by Joe Dalton. (Closes: #671119)
    - getpot:
      - Set 'report msgid bugs to' field to the development mailing list.
  * doc:
    - reference:
      - Disable jquery-based search.
  * debian:
    - control:
      - Added build-dependency on gettext.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 03 May 2012 22:54:26 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7.4.10), g++-4.6,
   libboost-program-options-dev (>= 1.42), libboost-dev (>= 1.42),
   libreadline6-dev, chrpath, libcurl4-gnutls-dev (>= 7.19.4),
-  cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags
+  cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags, gettext
 Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt

## cupt 2.5.4

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -25,4 +25,4 @@
 ENDMACRO(CUPT_PROCESS_PO)
 
 
-CUPT_PROCESS_PO(pl da)
+CUPT_PROCESS_PO(pl da sk)

=== debian/changelog ===
cupt (2.5.4) unstable; urgency=low

  * lib:
    - system/resolvers/native:
      - Fixed an internal error when a not installed package was considered
        but then autoremoved (under certain conditions). This regression was
        introduced in 2.5.0. Thanks to Karol Kozłowski for the report.
        (Closes: #672693)
    - download/methodfactory:
      - [Jonathan Nieder] 'getDownloadMethodForUri': include the protocol to
        the 'no download handlers' error message.
  * po:
    - Added Slovak translation by Ivan Masár. (Closes: #671793)
  * debian:
    - control:
      - [Jonathan Nieder] Suggest installing a download method in the 'cupt'
        package description. Thanks to Manuel A. Fernandez Montecelo for the
        report. (Closes: #672804)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 15 May 2012 20:32:36 +0300

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,10 @@
   - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
  .
  Its interface is mostly like apt-get/aptitude console interface.
+ .
+ Cupt has built-in support for APT repositories using the file:// or copy://
+ URL schemas. For access to remote repositories using HTTP or FTP, install a
+ download method such as libcupt2-0-downloadmethod-curl.
 
 Package: libcupt2-0-downloadmethod-curl
 Architecture: any

## cupt 2.5.5

=== debian/changelog ===
cupt (2.5.5) unstable; urgency=low

  * lib:
    - download/methodfactory:
      - Loading download methods: fixed a crash when a download method library
        filename without extension contains less than 3 characters. Also,
        don't output a debug messages in this case when the debugging is not
        turned on.
    - cache/sourceversion:
      - 'parseFromFile': accept the value 'source' as if it was 'extra' for
        'Priority' field (a workaround for #626394).
    - Parsing Release files: fixed mixing unknown hash sum types and known
      hash sum values which leads to a wrong 'hash sums mismatch' error.
      Thanks to Karol Kozłowski for the report.
  * debian:
    - control:
      - Long description: made more specific about 'option name checker'.
  * doc:
    - tutorial:
      - 'Advantages': said more specificly that 'option name checker' is for
        the 'cupt::' option family.
      - 'Disadvantages': explicitly said that Cupt does not currently support
        repositories without a Release file.
    - man/cupt.1:
      - Added the user support mailing list.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 27 May 2012 12:24:20 +0300

## cupt 2.5.6

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -25,4 +25,4 @@
 ENDMACRO(CUPT_PROCESS_PO)
 
 
-CUPT_PROCESS_PO(pl da sk)
+CUPT_PROCESS_PO(pl da sk fr)

=== debian/changelog ===
cupt (2.5.6) unstable; urgency=low

  * lib:
    - system/worker:
      - Fatal errors should be logged regardless of the logging level.
      - Work around FreeBSD kernels on which mkdir(2) sometimes return EISDIR.
        Thanks to goneri@rulezlan.org for the report. (Closes: #675760)
  * po:
    - Added French translation by Julien Patriarca. (Closes: #675689)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 08 Jun 2012 13:01:55 +0300

## cupt 2.5.7

=== debian/changelog ===
cupt (2.5.7) unstable; urgency=low

  * lib:
    - cache:
      - Parsing sources list: parse afterline comments properly. Thanks to
        Alexey Ivanov for the report. (Closes: #678345)
  * doc:
    - tutorial:
      - 'Disadvantages': said specificly that multiarch is not supported.
  * po:
    - Added German translation by Chris Leick. (Closes: #677758)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 28 Jun 2012 14:03:52 +0300

## cupt 2.5.9

=== cpp/lib/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	./src/internal/nativeresolver/score.cpp
 	./src/internal/nativeresolver/dependencygraph.cpp
 	./src/internal/nativeresolver/decisionfailtree.cpp
+	./src/internal/nativeresolver/autoremovalpossibility.cpp
 	./src/internal/lock.cpp
 	./src/internal/cacheimpl.cpp
 	./src/internal/pininfo.cpp

=== debian/changelog ===
cupt (2.5.9) unstable; urgency=low

  * lib:
    - download/uri:
      - Constructor: accept single- or triple-slashes after the ':' character,
        which is the usual situation for 'file' or 'copy' schemes.
        Thanks to Alexey Ivanov for the report. (Closes: #683873)
    - system/nativeresolver:
      - Fixed 'internal error: conflicting elements' in the corner case when
        one version of package A depends on a certain version which in turn
        depends on a different version of package A, plus additional
        circumstances apply.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 15 Aug 2012 19:45:35 +0300

cupt (2.5.8) unstable; urgency=low

  * lib:
    - cache/binaryversion:
      - 'parseFromFile': the field 'Description-md5' should be parsed together
        with info-only fields even if Version::parseOthers is off.
        (Closes: #681340)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 14 Jul 2012 13:55:39 +0300

=== debian/control ===
--- 
+++ 
@@ -72,7 +72,7 @@
  Some features:
   - strict full-case resolver;
   - resolver reasons tracking;
-  - command-line and APT-like option name checker;
+  - command-line and 'cupt::*' option name checker;
   - case-sensitive search;
   - pinning by source package name;
   - pinning by package groups using shell-like patterns;

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	# produce additional man pages for cupt
 	$(PERL) debian/install_pods
 	install -m644 scripts/bash_completion $(CURDIR)/debian/cupt/etc/bash_completion.d/cupt
+	install -m644 scripts/logrotate $(CURDIR)/debian/libcupt2-0/etc/logrotate.d/cupt
 
 %:
 	dh --parallel $@

## cupt 2.5.9build1

=== debian/changelog ===
cupt (2.5.9build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
   libboost-program-options-dev (>= 1.42), libboost-dev (>= 1.42),
   libreadline6-dev, chrpath, libcurl4-gnutls-dev (>= 7.19.4),
   cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags, gettext
-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
 Standards-Version: 3.9.3

## cupt 2.5.10

=== debian/changelog ===
cupt (2.5.10) unstable; urgency=low

  * lib:
    - download/manager:
      - Avoid memory allocations in a signal handler when sending internal
        pings. This could hang the download manager. Many thanks to
        James McCoy for the final analysis. (Closes: #710239)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 25 Jun 2013 20:57:51 +0300
